package cn.net.cpzslibs.prot.bean.res;

public class Prot10020ResBean {
	//{"companyName":"烟草追溯模式测试公司","companyTel":"","companyUrl":"https://www.so.com/?src=so.com","consumeCode":"3036","description":"esse是韩国产的一种女式香烟，它的中文名为 爱喜 。这个烟是韩国烟草人参公社出品，它的全称为 ESSE Menthol，也叫 爱易，爱喜。它有粉色普通型、蓝色特醇型和绿色薄荷型，是极有女人缘的韩国烟，薄荷味入口清凉，比较经典的凉烟。test","name":"ESSE-test","origin":"222test","producer":"222test","productId":"100007","productUrl":"http://www.sou360.com/","query_des":"烟草追溯模式测试公司生产的ESSE 测试修改","tobaccoType":2}
	private String companyName;//公司名字    "companyName":"烟草追溯模式测试公司",
	private String companyTel;//公司电话   "companyTel":"",
	private String companyUrl;//公司url   "companyUrl":"https://www.so.com/?src=so.com",
	private String consumeCode;//消费码   "consumeCode":"3036",
	private String description;//产品描述   "description":"esse是韩国产的一种女式香烟，它的中文名为 爱喜 。这个烟是韩国烟草人参公社出品，它的全称为 ESSE Menthol，也叫 爱易，爱喜。它有粉色普通型、蓝色特醇型和绿色薄荷型，是极有女人缘的韩国烟，薄荷味入口清凉，比较经典的凉烟。test",
	private String name;//产品名称  "name":"ESSE-test",
	private String origin;//生产地   "origin":"222test",
	private String producer;//生产商   "producer":"222test",
	private String productId;//产品ID   "productId":"100007",
	private String productUrl;//产品URL   "productUrl":"http://www.sou360.com/",
	private String query_des;//查询描述   "query_des":"烟草追溯模式测试公司生产的ESSE 测试修改",
	private String tobaccoType;//烟草模式使用，消费类型：1快消品 2正常消费 3永不死亡   "tobaccoType":2
	private String numberID;//汽配模式使用，产品编号
	private String carType;//汽配模式使用，适配车型
	//{"errcode":65471,"errmsg":"","result":1}
	private int errcode;
	private String errmsg;
	private int result = 0;//0：请求成功     1：遇到错误信息，返回错误码
	public String getCompanyName() {
		return companyName;
	}
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	public String getCompanyTel() {
		return companyTel;
	}
	public void setCompanyTel(String companyTel) {
		this.companyTel = companyTel;
	}
	public String getCompanyUrl() {
		return companyUrl;
	}
	public void setCompanyUrl(String companyUrl) {
		this.companyUrl = companyUrl;
	}
	public String getConsumeCode() {
		return consumeCode;
	}
	public void setConsumeCode(String consumeCode) {
		this.consumeCode = consumeCode;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getOrigin() {
		return origin;
	}
	public void setOrigin(String origin) {
		this.origin = origin;
	}
	public String getProducer() {
		return producer;
	}
	public void setProducer(String producer) {
		this.producer = producer;
	}
	public String getProductId() {
		return productId;
	}
	public void setProductId(String productId) {
		this.productId = productId;
	}
	public String getProductUrl() {
		return productUrl;
	}
	public void setProductUrl(String productUrl) {
		this.productUrl = productUrl;
	}
	public String getQuery_des() {
		return query_des;
	}
	public void setQuery_des(String query_des) {
		this.query_des = query_des;
	}
	public String getTobaccoType() {
		return tobaccoType;
	}
	public void setTobaccoType(String tobaccoType) {
		this.tobaccoType = tobaccoType;
	}
	public int getErrcode() {
		return errcode;
	}
	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}
	public String getErrmsg() {
		return errmsg;
	}
	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}
	public int getResult() {
		return result;
	}
	public void setResult(int result) {
		this.result = result;
	}
	
	
	public String getNumberID() {
		return numberID;
	}
	public void setNumberID(String numberID) {
		this.numberID = numberID;
	}
	public String getCarType() {
		return carType;
	}
	public void setCarType(String carType) {
		this.carType = carType;
	}
	@Override
	public String toString() {
		return "Prot100020ResBean [companyName=" + companyName + ", companyTel=" + companyTel + ", companyUrl="
				+ companyUrl + ", consumeCode=" + consumeCode + ", description=" + description + ", name=" + name
				+ ", origin=" + origin + ", producer=" + producer + ", productId=" + productId + ", productUrl="
				+ productUrl + ", query_des=" + query_des + ", tobaccoType=" + tobaccoType + ", numberID=" + numberID
				+ ", carType=" + carType + ", errcode=" + errcode + ", errmsg=" + errmsg + ", result=" + result + "]";
	}
	
}
